let mqtt = require('./mqttHandler');
let logger = require('./log');


class AItem {
    constructor(floor, room, item) {
        this.floor = floor;
        this.room = room;
        this.item = item;
        this.itemId = `${this.floor}.${this.room}.${this.item}`;
        this.topicFirstPart = `dispatcher_ng/items/${this.floor}/${this.room}/${this.item}`;
    }

    start() {
        mqtt.register(this.subscribeTopics, (topic, payload) => {
            logger.info(`item ${this.itemId}: ${topic}, ${payload}`)
            this.processMessage(topic, payload);
        });
    }
}

module.exports = AItem;

